summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-misc/ofono/files/ofono.initd')
-rw-r--r--net-misc/ofono/files/ofono.initd22
1 files changed, 22 insertions, 0 deletions
diff --git a/net-misc/ofono/files/ofono.initd b/net-misc/ofono/files/ofono.initd
new file mode 100644
index 000000000000..644d372e079d
--- /dev/null
+++ b/net-misc/ofono/files/ofono.initd
@@ -0,0 +1,22 @@
+#!/sbin/runscript
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Purpose License v2
+# $Id$
+
+depend() {
+ need dbus
+}
+
+start() {
+ ebegin "Starting oFono"
+ start-stop-daemon --start --quiet --exec /usr/sbin/ofonod
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping oFono"
+ start-stop-daemon --stop --quiet --exec /usr/sbin/ofonod
+ eend $?
+}
+
+# vim: set ft=gentoo-init-d ts=3 sw=3 et: